.logo.primary-logo-common-design {
  width: 130px !important;
}

.main-content-container {
    transition: background 0.5s ease;
}

.main-content-container.homepage::before {
    position: absolute;
    content: "";
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: linear-gradient( 215deg, rgba(255, 220, 255, 1) 0%, rgba(209, 246, 255, 1) 50%, rgba(246, 246, 246, 1) 80% );
    transition: opacity 0.5s linear;
    z-index: -1;
    opacity: 1;
}

.card.singletab-panel, .card.singletab-panel .card-body {
    background-color: rgb(255, 255, 255) !important;
}

#AtlantisDocsMainHeader {
    z-index: 6;
}

/*table of Content*/
@media (min-width: 992px) {
  .docs-toc {
    position: fixed;
    top: 7.5rem;
    right: 2rem;
    margin: 0rem;
    z-index: 4;
    width: 13.333333%;
  }

  .docs-toc .docs-toc-body {
    max-height: 60vh;
    overflow-y: auto;
  }
}

@media (max-width: 991px) {
  .docs-toc {
    width: 100%;
  }

  .docs-toc .docs-toc-body {
    max-height: 300px;
    overflow-y: auto;
  }
}

/* Stories Custom Style */
.docs-page-component-styled .grid .grid-col {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 3rem;
  border: 1px dashed var(--atlantis-palette-primary-color);
  outline: 1px dashed var(--atlantis-palette-primary-color);
  outline-offset: -0.75rem;
  background: var(--atlantis-palette-primary-color) !important;
  background: rgba(30, 73, 226, 0.1) !important;
  text-align: center;
}

.docs-page-component-styled .flex {
  min-height: 3rem;
  border: 1px dashed var(--atlantis-palette-primary-color);
  background: var(--atlantis-palette-primary-color) !important;
  background: rgba(30, 73, 226, 0.1) !important;
}

.docs-page-component-styled .flex > * {
  border: 1px dashed var(--atlantis-palette-primary-color);
  background: var(--atlantis-palette-primary-color) !important;
  background: rgba(30, 73, 226, 0.2) !important;
}

#blazor-error-ui {
  position: fixed;
  left: calc(50vw - 70vw / 2);
  width: 70vw;
  bottom: 1rem;
  z-index: 9999;
  text-align: center;
}

#blazor-error-ui .alert-error {
  display: flex;
  width: 100%;
  border-color: #bb0202;
  border-style: solid;
  border-width: 1px;
  border-left-width: 8px;
  background-color: #fff;
  color: #2e2e2e;
  padding: 16px 16px 16px 8px;
  border-radius: 0.5rem;
  box-shadow: 0 8px 10px 1px rgba(157, 157, 157, 0.14),
    0 3px 14px 2px rgba(157, 157, 157, 0.12),
    0 4px 15px 0 rgba(157, 157, 157, 0.2);
  -webkit-box-shadow: 0 8px 10px 1px rgba(157, 157, 157, 0.14),
    0 3px 14px 2px rgba(157, 157, 157, 0.12),
    0 4px 15px 0 rgba(157, 157, 157, 0.2);
}

#blazor-error-ui .alert-error .alert-body {
  display: flex;
  flex-direction: column;
  align-items: start;
  flex-grow: 1;
}

#blazor-error-ui .alert-error .alert-buttons {
  display: flex;
  align-items: center;
  justify-content: end;
}

#blazor-error-ui .alert-error .alert-buttons .alert-button {
  padding: 1rem;
  background-color: white;
  color: black;
  font-weight: bold;
  text-decoration: none;
}

#blazor-error-ui .alert-error .alert-buttons .alert-button:hover {
  background-color: whitesmoke;
  color: black;
}
